/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _GRID_H_
#define _GRID_H_

#include "optimize.h"

/**called by cdDrive, this returns 0 if things went ok, 1 for disaster*/
bool grid_do(void);

/**gridXspec
\param xc[]
\param nInterpVars
*/
void gridXspec(realnum *, long);

/**GridGatherInCloudy */
void GridGatherInCloudy( void );

/** GridGatherAfterCloudy - gather information after Cloudy exits */
void GridGatherAfterCloudy(
   /* chTime is null terminated 4 char string, either "MIDL" or "LAST" */
   const char *chTime);

#define NUM_OUTPUT_TYPES	11

EXTERN struct t_grid
{
	realnum *Energies;
	realnum ***Spectra;
	char **paramNames;
	long *paramMethods;
	realnum **paramRange,
		**paramData,
		**interpParameters;
	/** save abort and warnings flags for each sim in the grid,
	 * output with punch grid command */
	bool *lgAbort , *lgWarn;

	realnum paramIncrements[LIMPAR];
		
	/** set true when grid command entered */
	bool lgGrid, 
		lgGridDone,
		lgStrictRepeat;

	/** number of grid commands entered */
	long int nGridCommands;

	long nintparm,
		naddparm,
		numEnergies,
		numParamValues[LIMPAR],
		totNumModels;

	bool lgOutputTypeOn[NUM_OUTPUT_TYPES];

} grid;

#endif /* _GRID_H_ */
