/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _HEAVY_H_
#define _HEAVY_H_

/* heavy.h */
/**
 *     ipHeavy(nelem,nstage) is pointer to valence IP of this stage
 */
EXTERN struct t_Heavy {

	/** array index for valence shell photoionization */
	long int ipHeavy[LIMELM][LIMELM], 
		/** array index for average lya of this ion */
	  ipLyHeavy[LIMELM][LIMELM-1],
	  /** array index for "Balmer" recom of this ion */
	  ipBalHeavy[LIMELM][LIMELM-1];

	/**xLyaHeavy is Lya for nelem,ion */
	realnum xLyaHeavy[LIMELM][LIMELM];

	/** ionization pot of valence shell, rydbergs, [nelem][ion] */
	double Valence_IP_Ryd[LIMELM][LIMELM];

	/** save number of shells for each element and ionization stage
	 * first dimension is atomic weight, second is ionization stage */
	long int nsShells[LIMELM][LIMELM];

	/** character representation of shells 1 to 7 of atoms and ions, '1s', '2s', etc */
	char chShell[7][3];

	}	Heavy;


#endif /* _HEAVY_H_ */
