/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */
/*InitCoreloadPostparse initialization at start, called from cloudy
* after parser, will be called one time per core load */
#include "cddefines.h" 
#include "assertresults.h"
#include "init.h" 

/*InitCoreloadPostparse initialization at start, called from cloudy
* after parser, will be called one time per core load */
void InitCoreloadPostparse( void )
{

	static int nCalled = 0;

	DEBUG_ENTRY( "InitCoreloadPostparse()" );

	/* only do this once per coreload */
	if( nCalled > 0 )
	{
		return;
	}

	/* this is first call, increment the nCalled counter so we never do this again */
	++nCalled;

	assertresults.SumErrorCaseAssert = 0.;
	assertresults.nSumErrorCaseAssert = 0;

	return;
}
