/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _MOLE_CO_ATOM_H_
#define _MOLE_CO_ATOM_H_

/* mole_co_atom.h */

/** evaluate rotation levels populations, emission and cooling 
\param Rotate
\param nRotate
\param abund
\param *chLabel string used to identify calling program in case of error 
\param *Cooling
\param *dCoolingdT
*/
extern void CO_PopsEmisCool(
	transition ** Rotate , 
	long int nRotate , 
	realnum abund, 	
	const char *chLabel , 
	realnum *Cooling , 
	realnum * dCoolingdT  );

/**CO_colden maintain H2 column densities within X */
extern void CO_Colden( const char *chLabel );

/*CO_OTS - add CO lines to ots fields, called by RT_OTS */
extern void CO_OTS( void );


#endif /* _MOLE_CO_ATOM_H_ */
