/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _NITRO_H_
#define _NITRO_H_

EXTERN struct t_nitro {

	double 

		/** this is fraction of 2D excitations that emit a photon in the 5200 multiplet
		* this is used for collisional quenching in prt lines routine */
		quench_5200,

		/** evaluated in cool_nitr, used in prt lines */
		xN5200, 
		xN5198, 
		xN3467, 
		xN3466,
		xN10398,
		xN10397,
		xN10408,
		xN10407,
		c5200, 
		c5755, 
		c6584, 
		c10400, 
		c3466,

		/** ratio of radiative to total decays from n=3 of NII */
		xN2_A3_tot, 
		
		/** total pump rate from N^0 ground level by all level 2 lines
		 * used as guess of photoexcitation rate */
		 pump_rate_N1;

	}	nitro;


#endif /* _NITRO_H_ */
